AbstractMapper (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class AbstractMapper

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.AbstractMapper

All Implemented Interfaces:
  org.springframework.binding.mapping.Mapper

    abstract class AbstractMapper

Mapper implementation for mapping subflow in- and output

Authors:
  Ivo Houbrechts

Constructor Summary
`AbstractMapper(groovy.lang.Closure definition)` @return Parameters: `definition` - Closure in which method calls are interpreted as input or output variables

Method Summary
`org.springframework.binding.mapping.MappingResults` | `map(java.lang.Object source, java.lang.Object target)`
`protected org.springframework.binding.mapping.MappingResult` | `map(java.lang.Object source, java.lang.Object target, java.lang.Object mapping)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)` For each missing method a new mapping is created.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractMapper

    AbstractMapper(groovy.lang.Closure definition)

  Parameters:
    `definition` - Closure in which method calls are interpreted as input or output variables
  Returns:

Method Detail

### map

    org.springframework.binding.mapping.MappingResults map(java.lang.Object source, java.lang.Object target)

### map

    protected org.springframework.binding.mapping.MappingResult map(java.lang.Object source, java.lang.Object target, java.lang.Object mapping)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

  For each missing method a new mapping is created.
  Parameters:
    name
    args
  Returns:

Groovy Documentation